Loading...
Searching...
No Matches
Record Struct Reference
Internal implementation detail » Audio playback and recording implementation

`Audio` recording state data More...

Inheritance diagram for Record:
Collaboration diagram for Record:

## Public Types

typedef std::vector< Record > | List
| Container type for a list of recording states.

## Public Member Functions

Constructor
| Record ()
| Default constructor.
Public Member Functions inherited from Audio
| Audio ()
| Default constructor.
| ~Audio ()
| Default destructor.

## Public Attributes

unsigned long | time_out
| Maximum time in ms to record for.
unsigned long | time_start
| Starting time for measuring time_out.
float | rgaindown
| Record Gain Down control for DTMF.
void * | v4log_agcstate
| AGC state (V4LOG card only).
char | delay [REC_DLY]
| delay line for rec with dtmf termination
Public Attributes inherited from Audio
string | term_digits
| digits which terminate collection
AudioCompress | mode
| current play mode
AudioState | state
| current state
float | hw_gain
| hardware gain parameter
float | sw_gain
| software gain parameter
float | linear_gain
| linear gain
pthread_mutex_t | mutex
| global state protection
pthread_cond_t | cond
| state change signalling

## Static Public Attributes

static List | list
| Container for a list of recording states.

## Detailed Description

`Audio` recording state data